1) Set I/O APIC ID according to BKDG recommendation
2) Correct I/O APIC ID reported by mptable

Signed-off-by: Scott Duplichan <scott@notabs.org>

Index: src/mainboard/amd/persimmon/acpi_tables.c
===================================================================
--- src/mainboard/amd/persimmon/acpi_tables.c	(revision 6551)
+++ src/mainboard/amd/persimmon/acpi_tables.c	(working copy)
@@ -64,7 +64,7 @@
   current = acpi_create_madt_lapics(current);
 
   /* Write SB800 IOAPIC, only one */
-  current += acpi_create_madt_ioapic((acpi_madt_ioapic_t *) current, 2,
+  current += acpi_create_madt_ioapic((acpi_madt_ioapic_t *) current, CONFIG_MAX_CPUS,
              IO_APIC_ADDR, 0);
 
   current += acpi_create_madt_irqoverride((acpi_madt_irqoverride_t *)
Index: src/mainboard/amd/persimmon/get_bus_conf.c
===================================================================
--- src/mainboard/amd/persimmon/get_bus_conf.c	(revision 6551)
+++ src/mainboard/amd/persimmon/get_bus_conf.c	(working copy)
@@ -138,7 +138,7 @@
 
   /* I/O APICs:   APIC ID Version State   Address */
   bus_isa = 10;
-  apicid_base = CONFIG_MAX_PHYSICAL_CPUS;
+  apicid_base = CONFIG_MAX_CPUS;
 //#if CONFIG_LOGICAL_CPUS==1
 //  apicid_base = get_apicid_base(1);
 //#endif
Index: src/mainboard/amd/persimmon/mptable.c
===================================================================
--- src/mainboard/amd/persimmon/mptable.c	(revision 6551)
+++ src/mainboard/amd/persimmon/mptable.c	(working copy)
@@ -69,7 +69,7 @@
   dword |= (pm_ioread(0x35) & 0xFF) << 8;
   dword |= (pm_ioread(0x36) & 0xFF) << 16;
   dword |= (pm_ioread(0x37) & 0xFF) << 24;
-  smp_write_ioapic(mc, apicid_sb800, 0x11, dword);
+  smp_write_ioapic(mc, apicid_sb800, 0x21, dword);
 
   for (byte = 0x0; byte < sizeof(intr_data); byte ++) {
     outb(byte | 0x80, 0xC00);
